# $Id: qscintilla.spec,v 1.10 2004/03/11 20:07:46 rexdieter Exp $

%define aurox_ver 10.1
%define rel 2
                                                                                                                             

%define scintilla_ver 1.61

Summary: QScintilla - A Port to Qt of Scintilla 
Name:	 qscintilla 
Epoch:	 0
Version: 1.4
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group:   Development/Tools
Url:     http://www.riverbankcomputing.co.uk/qscintilla/
Source:	 http://www.river-bank.demon.co.uk/download/QScintilla/qscintilla-1.61-gpl-1.4.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: qscintilla-1.61-gpl-1.4-designer-incpath.patch

BuildRequires: sed >= 4.0
BuildRequires: qt-devel >= 1:3.2
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
%define qtdir %(unset QTDIR ||:; source /etc/profile.d/qt.sh 2>/dev/null; echo ${QTDIR:-/usr/lib/qt-3.3} )
# Redundant?  a little, so what.  -- Rex
Requires: qt >= 1:%{qt_ver}
Prereq: %{qtdir}/lib

%description
"Scintilla is a free source code editing component.  It comes with complete
source code and a license that permits use in any free project or commercial
product. 

As well as features found in standard text editing components, Scintilla
includes features especially useful when editing and debugging source code.
These include support for syntax styling, error indicators, code completion and
call tips.  The selection margin can contain markers like those used in
debuggers to indicate breakpoints and the current line.  Styling choices are
more open than with many editors, allowing the use of proportional fonts, bold
and italics, multiple foreground and background colours and multiple fonts."

Scintilla runs on Windows and on UNIX/Linux using the GTK+ GUI toolkit.

QScintilla is a port or Scintilla to the Qt GUI toolkit from Trolltech and runs
on any operating system supported by Qt (eg. Windows, UNIX/Linux, MacOS/X).  Qt
v3 or later is required.

This version of QScintilla is based on Scintilla v%{scintilla_ver}.

%package designer
Summary: QScintilla designer plugin 
Group: Development/Tools
Requires: %{name} = %{epoch}:%{version}
Requires: qt-designer >= %{qt_ver}
Prereq: %{qtdir}/plugins/designer
# actually %name-devel != %{epoch}:%{version} -- Rex
BuildConflicts: %{name}-devel < %{epoch}:%{version}
%description designer
QScintillla designer plugin.

%package devel
Summary: QScintilla Development Files
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: qt-devel >= %{qt_ver}
%description devel
These are the development files for QScintilla, needed to build against
QScintilla.


%prep
%setup -q -n %{name}-%{scintilla_ver}-gpl-%{version}

%patch1 -p1 -b .designer-incpath

# fixups to support RPM_BUILD_ROOT/DESTDIR
sed -i "s/\$(QTDIR)/\$(RPM_BUILD_ROOT)\$(QTDIR)/" */*.pro


%build
rm -rf $RPM_BUILD_ROOT


pushd qt
qmake qscintilla
make %{?_smp_mflags}
popd

pushd designer
qmake designer
make %{?_smp_mflags}
popd



%install

mkdir -p $RPM_BUILD_ROOT%{qtdir}/include \
	 $RPM_BUILD_ROOT%{qtdir}/translations
install -p -m644 qt/qextscintilla*.h 	$RPM_BUILD_ROOT%{qtdir}/include
install -p -m644 qt/qscintilla*.qm	$RPM_BUILD_ROOT%{qtdir}/translations


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE NEWS README
%{qtdir}/lib/*
%{qtdir}/translations/*

%files designer
%defattr(-,root,root)
%{qtdir}/plugins/designer/*

%files devel
%defattr(-,root,root)
%{qtdir}/include/*


%changelog
* Wed Oct 06 2004 Aurox Team <aurox@aurox.org> 0:1.4-10.1.aur.2
- Update to 1.4
- version 1.60
- include into Aurox

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:1.4-0.1.kde
- updated designer-incpath patch: don't require an already installed
  qscintilla-devel
- BuildConflicts: qscintilla-devel != %%version

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:1.4-0.0.kde
- 1.4
- include designer plugin
- Prereq: %%qtdir

* Fri May 28 2004 Rex Dieter <rexdieter at sf.net> 0:1.3-0.fdr.0
- 1.3

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.6
- dynamically determine version for qt dependancy.

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.5
- (re)build against qt-3.3.1

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.4
- remove extraneous macros
- (re)build against qt-3.2.3

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.3
- (re)build against qt-3.2.2

* Wed Sep 17 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.2
- use Epoch's in Requires

* Tue Aug 19 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.1
- 1.2

